Which version of Lua does VCarve use?

This section is for general discussion about Gadgets
Post Reply
CanisLupus
Posts: 39
Joined: Thu Apr 04, 2019 12:53 am
Model of CNC Machine: CAMaster Stinger II (SR-44)
Location: Upper Midwest US

Which version of Lua does VCarve use?

Post by CanisLupus »

I'm starting to learn Lua for the purpose of building gadgets for VCarve Pro 10.0. Where can I find information on which Lua version VCarve uses?

The current version is Lua 5.3.5 and it's been out for well over a year and Lua 5.3 dropped almost four years ago. The differences probably won't matter much but I want to make sure I'm using the correct reference materials, just in case there are bugfixes that affect what I might be working on.

Kayvon
Vectric Apprentice
Posts: 75
Joined: Wed Feb 15, 2017 5:29 pm
Model of CNC Machine: CNC Shark

Re: Which version of Lua does VCarve use?

Post by Kayvon »

Have you tried printing the global variable _VERSION? Maybe MessageBox("Lua version " .. _VERSION)

Chelmite
Posts: 22
Joined: Tue Nov 06, 2012 4:47 am
Model of CNC Machine: Legacy Maverick 4x8, BOSS laser
Location: Los Altos Hills, CA

Re: Which version of Lua does VCarve use?

Post by Chelmite »

My Aspire 10.512 says it's Lua 5.2!

User avatar
jimandi5000
Vectric Wizard
Posts: 554
Joined: Wed Mar 11, 2015 6:50 pm
Model of CNC Machine: Home Made 60 x 120
Location: North Houston Tx.

Re: Which version of Lua does VCarve use?

Post by jimandi5000 »

I have found no real issues with any of the versions.

Here is my Wiki site and there is a lot of code you can use to get started.
https://jimandi.com/SDKWiki/index.php?title=Main_Page

Here is a set of How to videos.
https://youtu.be/skSQ3iCaUu4

If you have questions let me know.
Thanks,
Jim

Post Reply